	ifndef _I2C_h
		#define _I2C_h

; I2C Protocoll
;
; WRITE MODE:
;
; 0111XXX0 CCCCCSSS BBBBBBBB		2 or 3 bytes
;
; Address:	0111 XXX 0		0111 hardcoded address part
;							XXX  jumper selectable address part
;							0    write mode
;
; Servo/CMD:	CCCCC SSS			CCCCC servo command
;							SSS	number of servo (0-7)
;
; Data:		BBBBBBBB			BBBBBBBB optional data for some commands
;
; Commands in read mode:
;
; ------------- Set Commands ---------------------------------------------
#define		I2C_CMD_SetServoPosition		B'00000000'
#define		I2C_CMD_SetServoTrim		B'00001000'

; ------------- Write Commands -------------------------------------------
#define		I2C_CMD_Positions2EEPROM		B'00010000'
#define		I2C_CMD_Trims2EEPROM		B'00011000'
#define		I2C_CMD_WriteConfigByte		B'01000000'
#define		I2C_CMD_WriteOnOffMask		B'01101000'

; ------------- Init Commands --------------------------------------------
#define		I2C_CMD_InitAll			B'00100000'
#define		I2C_CMD_LoadAllFromEEPROM	B'00101000'
#define		I2C_CMD_AllPositions2Center	B'01010000'
#define		I2C_CMD_AllTrims2Center		B'01011000'

; ------------- Read Commands --------------------------------------------
#define		I2C_CMD_ReadServoPosition	B'00110000'
#define		I2C_CMD_ReadTrimPosition		B'00111000'
#define		I2C_CMD_ReadConfigByte		B'01001000'
#define		I2C_CMD_ReadOnOffMask		B'01100000'

ReadI2C macro
			banksel			SSPBUF
			movf				SSPBUF, W			; Get the byte into WREG & clear BF flag
	endm

ReleaseClock macro
			banksel			SSPCON
			bsf				SSPCON, CKP		; release clock
	endm
	
	endif
	
